import 'package:anadea_flutter_loggy/loggers/bloc.dart';
import 'package:flutter/material.dart';
import 'package:loggy/loggy.dart';

class BlocRecordCard extends StatelessWidget {
  const BlocRecordCard({
    Key? key,
    required this.logRecord,
  }) : super(key: key);

  final LogRecord logRecord;

  @override
  Widget build(BuildContext context) {
    final blocRecord = logRecord.object as BlocLogRecord;
    final theme = Theme.of(context);

    return Card(
      elevation: 5,
      child: Padding(
        padding: const EdgeInsets.all(8.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Text(
              blocRecord.toString(),
              style: theme.textTheme.bodyLarge,
            ),
            const SizedBox(height: 10),
            Text(
              logRecord.time.toIso8601String().split('T')[1],
              style: theme.textTheme.caption,
            ),
          ],
        ),
      ),
    );
  }
}
